# Enum DatabricksJdbcUrlParams

java.lang.Object
java.lang.Enum<DatabricksJdbcUrlParams>
com.databricks.jdbc.common.DatabricksJdbcUrlParams

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabricksJdbcUrlParams>`, `java.lang.constant.Constable`

public enum DatabricksJdbcUrlParams extends Enum<DatabricksJdbcUrlParams>
Enum to hold all the Databricks JDBC URL parameters.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPT_UNDETERMINED_CERTIFICATE_REVOCATION`
`ALLOW_SELF_SIGNED_CERTS`
`ALLOWED_STAGING_INGESTION_PATHS`
`ALLOWED_VOLUME_INGESTION_PATHS`
`APPLICATION_NAME`
`AUTH_ACCESS_TOKEN`
`AUTH_ENDPOINT`
`AUTH_FLOW`
`AUTH_MECH`
`AUTH_SCOPE`
`AZURE_TENANT_ID`
`AZURE_WORKSPACE_RESOURCE_ID`
`CF_PROXY_AUTH`
`CF_PROXY_HOST`
`CF_PROXY_PORT`
`CF_PROXY_PWD`
`CF_PROXY_USER`
`CHECK_CERTIFICATE_REVOCATION`
`CHUNK_READY_TIMEOUT_SECONDS`
`CLIENT_ID`
`CLIENT_SECRET`
`CLOUD_FETCH_SPEED_THRESHOLD`
`CLOUD_FETCH_THREAD_POOL_SIZE`
`COMPRESSION_FLAG`
`CONN_CATALOG`
`CONN_SCHEMA`
`DEFAULT_STRING_COLUMN_LENGTH`
`DIRECT_RESULT`
`DISCOVERY_MODE`
`DISCOVERY_URL`
`ENABLE_ARROW`
`ENABLE_BATCHED_INSERTS`
`ENABLE_COMPLEX_DATATYPE_SUPPORT`
`ENABLE_METRIC_VIEW_METADATA`
`ENABLE_MULTIPLE_CATALOG_SUPPORT`
`ENABLE_REQUEST_TRACING`
`ENABLE_SHOW_COMMAND_FOR_GET_FUNCTIONS`
`ENABLE_SQL_EXEC_DIRECT_RESULTS`
`ENABLE_SQL_EXEC_HYBRID_RESULTS`
`ENABLE_SQL_VALIDATION_FOR_IS_VALID`
`ENABLE_TELEMETRY`
`ENABLE_TOKEN_CACHE`
`FORCE_ENABLE_TELEMETRY`
`GOOGLE_CREDENTIALS_FILE`
`GOOGLE_SERVICE_ACCOUNT`
`HTTP_CONNECTION_POOL_SIZE`
`HTTP_CONNECTION_REQUEST_TIMEOUT`
`HTTP_HEADERS`
`HTTP_MAX_CONNECTIONS_PER_ROUTE`
`HTTP_PATH`
`IDENTITY_FEDERATION_CLIENT_ID`
`IDLE_HTTP_CONNECTION_EXPIRY`
`IGNORE_TRANSACTIONS`
`JWT_ALGORITHM`
`JWT_KEY_FILE`
`JWT_KID`
`JWT_PASS_PHRASE`
`LOG_FILE_COUNT`
`LOG_FILE_SIZE`
`LOG_LEVEL`
`LOG_PATH`
`LZ4_COMPRESSION_FLAG`
`MAX_BATCH_SIZE`
`MAX_CONCURRENT_PRESIGNED_REQUESTS`
`NON_PROXY_HOSTS`
`OAUTH_ENDPOINT`
`OAUTH_REDIRECT_URL_PORT`
`OAUTH_REFRESH_TOKEN`
`OAUTH_REFRESH_TOKEN_2`
`OAUTH_TOKEN_ENDPOINT`
`OIDC_DISCOVERY_ENDPOINT`
`OIDC_DISCOVERY_MODE`
`PASSWORD`
`POLL_INTERVAL`
`PROXY_AUTH`
`PROXY_HOST`
`PROXY_PORT`
`PROXY_PWD`
`PROXY_USER`
`PWD`
`RATE_LIMIT_RETRY`
`RATE_LIMIT_RETRY_TIMEOUT`
`ROWS_FETCHED_PER_BLOCK`
`SOCKET_TIMEOUT`
`SSL`
`SSL_KEY_STORE`
`SSL_KEY_STORE_PASSWORD`
`SSL_KEY_STORE_PROVIDER`
`SSL_KEY_STORE_TYPE`
`SSL_TRUST_STORE`
`SSL_TRUST_STORE_PASSWORD`
`SSL_TRUST_STORE_PROVIDER`
`SSL_TRUST_STORE_TYPE`
`SUPPORT_MANY_PARAMETERS`
`TELEMETRY_BATCH_SIZE`
`TELEMETRY_CIRCUIT_BREAKER_ENABLED`
`TELEMETRY_FLUSH_INTERVAL`
`TEMPORARILY_UNAVAILABLE_RETRY`
`TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT`
`TOKEN_CACHE_PASS_PHRASE`
`TOKEN_ENDPOINT`
`UC_INGESTION_RETRIABLE_HTTP_CODE`
`UC_INGESTION_RETRY_TIMEOUT`
`UID`
`USE_CF_PROXY`
`USE_EMPTY_METADATA`
`USE_JWT_ASSERTION`
`USE_PROXY`
`USE_SYSTEM_PROXY`
`USE_SYSTEM_TRUST_STORE`
`USE_THRIFT_CLIENT`
`USER_AGENT_ENTRY`
`VOLUME_OPERATION_RETRY_TIMEOUT`
`VOLUME_OPERATION_RETRYABLE_HTTP_CODE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultValue()`
`String`
`getDescription()`
`String`
`getParamName()`
`static DriverPropertyInfo`
`getUrlParamInfo(DatabricksJdbcUrlParams param, boolean required)`
`boolean`
`isRequired()`
`static DatabricksJdbcUrlParams`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatabricksJdbcUrlParams[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOG_LEVEL

public static final DatabricksJdbcUrlParams LOG_LEVEL

### LOG_PATH

public static final DatabricksJdbcUrlParams LOG_PATH

### LOG_FILE_SIZE

public static final DatabricksJdbcUrlParams LOG_FILE_SIZE

### LOG_FILE_COUNT

public static final DatabricksJdbcUrlParams LOG_FILE_COUNT

### UID

public static final DatabricksJdbcUrlParams UID

### PASSWORD

public static final DatabricksJdbcUrlParams PASSWORD

### CLIENT_ID

public static final DatabricksJdbcUrlParams CLIENT_ID

### CLIENT_SECRET

public static final DatabricksJdbcUrlParams CLIENT_SECRET

### AUTH_MECH

public static final DatabricksJdbcUrlParams AUTH_MECH

### AUTH_ACCESS_TOKEN

public static final DatabricksJdbcUrlParams AUTH_ACCESS_TOKEN

### CONN_CATALOG

public static final DatabricksJdbcUrlParams CONN_CATALOG

### CONN_SCHEMA

public static final DatabricksJdbcUrlParams CONN_SCHEMA

### PROXY_HOST

public static final DatabricksJdbcUrlParams PROXY_HOST

### PROXY_PORT

public static final DatabricksJdbcUrlParams PROXY_PORT

### PROXY_USER

public static final DatabricksJdbcUrlParams PROXY_USER

### PROXY_PWD

public static final DatabricksJdbcUrlParams PROXY_PWD

### USE_PROXY

public static final DatabricksJdbcUrlParams USE_PROXY

### PROXY_AUTH

public static final DatabricksJdbcUrlParams PROXY_AUTH

### NON_PROXY_HOSTS

public static final DatabricksJdbcUrlParams NON_PROXY_HOSTS

### USE_SYSTEM_PROXY

public static final DatabricksJdbcUrlParams USE_SYSTEM_PROXY

### USE_CF_PROXY

public static final DatabricksJdbcUrlParams USE_CF_PROXY

### CF_PROXY_HOST

public static final DatabricksJdbcUrlParams CF_PROXY_HOST

### CF_PROXY_PORT

public static final DatabricksJdbcUrlParams CF_PROXY_PORT

### CF_PROXY_AUTH

public static final DatabricksJdbcUrlParams CF_PROXY_AUTH

### CF_PROXY_USER

public static final DatabricksJdbcUrlParams CF_PROXY_USER

### CF_PROXY_PWD

public static final DatabricksJdbcUrlParams CF_PROXY_PWD

### AUTH_FLOW

public static final DatabricksJdbcUrlParams AUTH_FLOW

### OAUTH_REFRESH_TOKEN

public static final DatabricksJdbcUrlParams OAUTH_REFRESH_TOKEN

### OAUTH_REFRESH_TOKEN_2

public static final DatabricksJdbcUrlParams OAUTH_REFRESH_TOKEN_2

### OAUTH_REDIRECT_URL_PORT

public static final DatabricksJdbcUrlParams OAUTH_REDIRECT_URL_PORT

### PWD

public static final DatabricksJdbcUrlParams PWD

### POLL_INTERVAL

public static final DatabricksJdbcUrlParams POLL_INTERVAL

### HTTP_PATH

public static final DatabricksJdbcUrlParams HTTP_PATH

### HTTP_HEADERS

public static final DatabricksJdbcUrlParams HTTP_HEADERS

### USE_THRIFT_CLIENT

public static final DatabricksJdbcUrlParams USE_THRIFT_CLIENT

### RATE_LIMIT_RETRY_TIMEOUT

public static final DatabricksJdbcUrlParams RATE_LIMIT_RETRY_TIMEOUT

### JWT_KEY_FILE

public static final DatabricksJdbcUrlParams JWT_KEY_FILE

### JWT_ALGORITHM

public static final DatabricksJdbcUrlParams JWT_ALGORITHM

### JWT_PASS_PHRASE

public static final DatabricksJdbcUrlParams JWT_PASS_PHRASE

### JWT_KID

public static final DatabricksJdbcUrlParams JWT_KID

### USE_JWT_ASSERTION

public static final DatabricksJdbcUrlParams USE_JWT_ASSERTION

### OIDC_DISCOVERY_MODE

public static final DatabricksJdbcUrlParams OIDC_DISCOVERY_MODE

### DISCOVERY_MODE

public static final DatabricksJdbcUrlParams DISCOVERY_MODE

### AUTH_SCOPE

public static final DatabricksJdbcUrlParams AUTH_SCOPE

### OIDC_DISCOVERY_ENDPOINT

public static final DatabricksJdbcUrlParams OIDC_DISCOVERY_ENDPOINT

### DISCOVERY_URL

public static final DatabricksJdbcUrlParams DISCOVERY_URL

### IDENTITY_FEDERATION_CLIENT_ID

public static final DatabricksJdbcUrlParams IDENTITY_FEDERATION_CLIENT_ID

### ENABLE_ARROW

public static final DatabricksJdbcUrlParams ENABLE_ARROW

### DIRECT_RESULT

public static final DatabricksJdbcUrlParams DIRECT_RESULT

### LZ4_COMPRESSION_FLAG

public static final DatabricksJdbcUrlParams LZ4_COMPRESSION_FLAG

### COMPRESSION_FLAG

public static final DatabricksJdbcUrlParams COMPRESSION_FLAG

### USER_AGENT_ENTRY

public static final DatabricksJdbcUrlParams USER_AGENT_ENTRY

### USE_EMPTY_METADATA

public static final DatabricksJdbcUrlParams USE_EMPTY_METADATA

### TEMPORARILY_UNAVAILABLE_RETRY

public static final DatabricksJdbcUrlParams TEMPORARILY_UNAVAILABLE_RETRY

### TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT

public static final DatabricksJdbcUrlParams TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT

### RATE_LIMIT_RETRY

public static final DatabricksJdbcUrlParams RATE_LIMIT_RETRY

### IDLE_HTTP_CONNECTION_EXPIRY

public static final DatabricksJdbcUrlParams IDLE_HTTP_CONNECTION_EXPIRY

### SUPPORT_MANY_PARAMETERS

public static final DatabricksJdbcUrlParams SUPPORT_MANY_PARAMETERS

### CLOUD_FETCH_THREAD_POOL_SIZE

public static final DatabricksJdbcUrlParams CLOUD_FETCH_THREAD_POOL_SIZE

### OAUTH_ENDPOINT

public static final DatabricksJdbcUrlParams OAUTH_ENDPOINT

### AUTH_ENDPOINT

public static final DatabricksJdbcUrlParams AUTH_ENDPOINT

### OAUTH_TOKEN_ENDPOINT

public static final DatabricksJdbcUrlParams OAUTH_TOKEN_ENDPOINT

### TOKEN_ENDPOINT

public static final DatabricksJdbcUrlParams TOKEN_ENDPOINT

### SSL

public static final DatabricksJdbcUrlParams SSL

### ALLOW_SELF_SIGNED_CERTS

public static final DatabricksJdbcUrlParams ALLOW_SELF_SIGNED_CERTS

### SSL_TRUST_STORE

public static final DatabricksJdbcUrlParams SSL_TRUST_STORE

### SSL_TRUST_STORE_PASSWORD

public static final DatabricksJdbcUrlParams SSL_TRUST_STORE_PASSWORD

### SSL_TRUST_STORE_TYPE

public static final DatabricksJdbcUrlParams SSL_TRUST_STORE_TYPE

### SSL_KEY_STORE

public static final DatabricksJdbcUrlParams SSL_KEY_STORE

### SSL_KEY_STORE_PASSWORD

public static final DatabricksJdbcUrlParams SSL_KEY_STORE_PASSWORD

### SSL_KEY_STORE_TYPE

public static final DatabricksJdbcUrlParams SSL_KEY_STORE_TYPE

### SSL_KEY_STORE_PROVIDER

public static final DatabricksJdbcUrlParams SSL_KEY_STORE_PROVIDER

### SSL_TRUST_STORE_PROVIDER

public static final DatabricksJdbcUrlParams SSL_TRUST_STORE_PROVIDER

### USE_SYSTEM_TRUST_STORE

public static final DatabricksJdbcUrlParams USE_SYSTEM_TRUST_STORE

### CHECK_CERTIFICATE_REVOCATION

public static final DatabricksJdbcUrlParams CHECK_CERTIFICATE_REVOCATION

### ACCEPT_UNDETERMINED_CERTIFICATE_REVOCATION

public static final DatabricksJdbcUrlParams ACCEPT_UNDETERMINED_CERTIFICATE_REVOCATION

### GOOGLE_SERVICE_ACCOUNT

public static final DatabricksJdbcUrlParams GOOGLE_SERVICE_ACCOUNT

### GOOGLE_CREDENTIALS_FILE

public static final DatabricksJdbcUrlParams GOOGLE_CREDENTIALS_FILE

### ENABLE_TELEMETRY

public static final DatabricksJdbcUrlParams ENABLE_TELEMETRY

### TELEMETRY_BATCH_SIZE

public static final DatabricksJdbcUrlParams TELEMETRY_BATCH_SIZE

### MAX_BATCH_SIZE

public static final DatabricksJdbcUrlParams MAX_BATCH_SIZE

### ALLOWED_VOLUME_INGESTION_PATHS

public static final DatabricksJdbcUrlParams ALLOWED_VOLUME_INGESTION_PATHS

### ALLOWED_STAGING_INGESTION_PATHS

public static final DatabricksJdbcUrlParams ALLOWED_STAGING_INGESTION_PATHS

### UC_INGESTION_RETRIABLE_HTTP_CODE

public static final DatabricksJdbcUrlParams UC_INGESTION_RETRIABLE_HTTP_CODE

### VOLUME_OPERATION_RETRYABLE_HTTP_CODE

public static final DatabricksJdbcUrlParams VOLUME_OPERATION_RETRYABLE_HTTP_CODE

### UC_INGESTION_RETRY_TIMEOUT

public static final DatabricksJdbcUrlParams UC_INGESTION_RETRY_TIMEOUT

### VOLUME_OPERATION_RETRY_TIMEOUT

public static final DatabricksJdbcUrlParams VOLUME_OPERATION_RETRY_TIMEOUT

### ENABLE_REQUEST_TRACING

public static final DatabricksJdbcUrlParams ENABLE_REQUEST_TRACING

### HTTP_CONNECTION_POOL_SIZE

public static final DatabricksJdbcUrlParams HTTP_CONNECTION_POOL_SIZE

### ENABLE_SQL_EXEC_HYBRID_RESULTS

public static final DatabricksJdbcUrlParams ENABLE_SQL_EXEC_HYBRID_RESULTS

### ENABLE_SQL_EXEC_DIRECT_RESULTS

public static final DatabricksJdbcUrlParams ENABLE_SQL_EXEC_DIRECT_RESULTS

### ENABLE_COMPLEX_DATATYPE_SUPPORT

public static final DatabricksJdbcUrlParams ENABLE_COMPLEX_DATATYPE_SUPPORT

### ROWS_FETCHED_PER_BLOCK

public static final DatabricksJdbcUrlParams ROWS_FETCHED_PER_BLOCK

### AZURE_WORKSPACE_RESOURCE_ID

public static final DatabricksJdbcUrlParams AZURE_WORKSPACE_RESOURCE_ID

### AZURE_TENANT_ID

public static final DatabricksJdbcUrlParams AZURE_TENANT_ID

### DEFAULT_STRING_COLUMN_LENGTH

public static final DatabricksJdbcUrlParams DEFAULT_STRING_COLUMN_LENGTH

### SOCKET_TIMEOUT

public static final DatabricksJdbcUrlParams SOCKET_TIMEOUT

### TOKEN_CACHE_PASS_PHRASE

public static final DatabricksJdbcUrlParams TOKEN_CACHE_PASS_PHRASE

### ENABLE_TOKEN_CACHE

public static final DatabricksJdbcUrlParams ENABLE_TOKEN_CACHE

### APPLICATION_NAME

public static final DatabricksJdbcUrlParams APPLICATION_NAME

### CHUNK_READY_TIMEOUT_SECONDS

public static final DatabricksJdbcUrlParams CHUNK_READY_TIMEOUT_SECONDS

### FORCE_ENABLE_TELEMETRY

public static final DatabricksJdbcUrlParams FORCE_ENABLE_TELEMETRY

### TELEMETRY_FLUSH_INTERVAL

public static final DatabricksJdbcUrlParams TELEMETRY_FLUSH_INTERVAL

### MAX_CONCURRENT_PRESIGNED_REQUESTS

public static final DatabricksJdbcUrlParams MAX_CONCURRENT_PRESIGNED_REQUESTS

### TELEMETRY_CIRCUIT_BREAKER_ENABLED

public static final DatabricksJdbcUrlParams TELEMETRY_CIRCUIT_BREAKER_ENABLED

### HTTP_MAX_CONNECTIONS_PER_ROUTE

public static final DatabricksJdbcUrlParams HTTP_MAX_CONNECTIONS_PER_ROUTE

### HTTP_CONNECTION_REQUEST_TIMEOUT

public static final DatabricksJdbcUrlParams HTTP_CONNECTION_REQUEST_TIMEOUT

### CLOUD_FETCH_SPEED_THRESHOLD

public static final DatabricksJdbcUrlParams CLOUD_FETCH_SPEED_THRESHOLD

### ENABLE_SHOW_COMMAND_FOR_GET_FUNCTIONS

public static final DatabricksJdbcUrlParams ENABLE_SHOW_COMMAND_FOR_GET_FUNCTIONS

### ENABLE_BATCHED_INSERTS

public static final DatabricksJdbcUrlParams ENABLE_BATCHED_INSERTS

### ENABLE_SQL_VALIDATION_FOR_IS_VALID

public static final DatabricksJdbcUrlParams ENABLE_SQL_VALIDATION_FOR_IS_VALID

### IGNORE_TRANSACTIONS

public static final DatabricksJdbcUrlParams IGNORE_TRANSACTIONS

### ENABLE_METRIC_VIEW_METADATA

public static final DatabricksJdbcUrlParams ENABLE_METRIC_VIEW_METADATA

### ENABLE_MULTIPLE_CATALOG_SUPPORT

public static final DatabricksJdbcUrlParams ENABLE_MULTIPLE_CATALOG_SUPPORT

## Method Details

### values

public static DatabricksJdbcUrlParams[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DatabricksJdbcUrlParams valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getParamName

public String getParamName()

### getDefaultValue

public String getDefaultValue()

### getDescription

public String getDescription()

### isRequired

public boolean isRequired()

### getUrlParamInfo

public static DriverPropertyInfo getUrlParamInfo(DatabricksJdbcUrlParams param, boolean required)